Get MMA Fights
curl --request POST \
--url https://api.aisa.one/apis/v1/api-sports/get-mma-fights \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 2,
"date": "2023-08-26",
"season": 2023,
"fighter": 2,
"category": "Flyweight",
"timezone": "Europe/London"
}
'import requests
url = "https://api.aisa.one/apis/v1/api-sports/get-mma-fights"
payload = {
"id": 2,
"date": "2023-08-26",
"season": 2023,
"fighter": 2,
"category": "Flyweight",
"timezone": "Europe/London"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 2,
date: '2023-08-26',
season: 2023,
fighter: 2,
category: 'Flyweight',
timezone: 'Europe/London'
})
};
fetch('https://api.aisa.one/apis/v1/api-sports/get-mma-fights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/api-sports/get-mma-fights",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => 2,
'date' => '2023-08-26',
'season' => 2023,
'fighter' => 2,
'category' => 'Flyweight',
'timezone' => 'Europe/London'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/api-sports/get-mma-fights"
payload := strings.NewReader("{\n \"id\": 2,\n \"date\": \"2023-08-26\",\n \"season\": 2023,\n \"fighter\": 2,\n \"category\": \"Flyweight\",\n \"timezone\": \"Europe/London\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/api-sports/get-mma-fights")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": 2,\n \"date\": \"2023-08-26\",\n \"season\": 2023,\n \"fighter\": 2,\n \"category\": \"Flyweight\",\n \"timezone\": \"Europe/London\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/api-sports/get-mma-fights")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": 2,\n \"date\": \"2023-08-26\",\n \"season\": 2023,\n \"fighter\": 2,\n \"category\": \"Flyweight\",\n \"timezone\": \"Europe/London\"\n}"
response = http.request(request)
puts response.read_body{
"get": "<string>",
"errors": [
"<unknown>"
],
"results": 1,
"response": [
{
"id": 123,
"date": "<string>",
"slug": "<string>",
"time": "<string>",
"status": {
"long": "<string>",
"short": "<string>"
},
"is_main": true,
"category": "<string>",
"fighters": {
"first": {
"id": 123,
"logo": "<string>",
"name": "<string>",
"winner": true
},
"second": {
"id": 123,
"logo": "<string>",
"name": "<string>",
"winner": true
}
},
"timezone": "<string>",
"timestamp": 123
}
],
"parameters": {
"id": "<string>",
"date": "<string>",
"season": "<string>",
"fighter": "<string>",
"category": "<string>",
"timezone": "<string>"
}
}API-Sports
Get MMA Fights
<!-- aisa-pricing:start -->
Usage-based billing; Default request estimate: $0.000344 USD (not a fixed price). Declared unit rate: $0.000001 USD per provider_credit. Account-specific pricing and final settlement may differ.
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
api-sports
/
get-mma-fights
Get MMA Fights
curl --request POST \
--url https://api.aisa.one/apis/v1/api-sports/get-mma-fights \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 2,
"date": "2023-08-26",
"season": 2023,
"fighter": 2,
"category": "Flyweight",
"timezone": "Europe/London"
}
'import requests
url = "https://api.aisa.one/apis/v1/api-sports/get-mma-fights"
payload = {
"id": 2,
"date": "2023-08-26",
"season": 2023,
"fighter": 2,
"category": "Flyweight",
"timezone": "Europe/London"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 2,
date: '2023-08-26',
season: 2023,
fighter: 2,
category: 'Flyweight',
timezone: 'Europe/London'
})
};
fetch('https://api.aisa.one/apis/v1/api-sports/get-mma-fights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/api-sports/get-mma-fights",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => 2,
'date' => '2023-08-26',
'season' => 2023,
'fighter' => 2,
'category' => 'Flyweight',
'timezone' => 'Europe/London'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/api-sports/get-mma-fights"
payload := strings.NewReader("{\n \"id\": 2,\n \"date\": \"2023-08-26\",\n \"season\": 2023,\n \"fighter\": 2,\n \"category\": \"Flyweight\",\n \"timezone\": \"Europe/London\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/api-sports/get-mma-fights")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": 2,\n \"date\": \"2023-08-26\",\n \"season\": 2023,\n \"fighter\": 2,\n \"category\": \"Flyweight\",\n \"timezone\": \"Europe/London\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/api-sports/get-mma-fights")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": 2,\n \"date\": \"2023-08-26\",\n \"season\": 2023,\n \"fighter\": 2,\n \"category\": \"Flyweight\",\n \"timezone\": \"Europe/London\"\n}"
response = http.request(request)
puts response.read_body{
"get": "<string>",
"errors": [
"<unknown>"
],
"results": 1,
"response": [
{
"id": 123,
"date": "<string>",
"slug": "<string>",
"time": "<string>",
"status": {
"long": "<string>",
"short": "<string>"
},
"is_main": true,
"category": "<string>",
"fighters": {
"first": {
"id": 123,
"logo": "<string>",
"name": "<string>",
"winner": true
},
"second": {
"id": 123,
"logo": "<string>",
"name": "<string>",
"winner": true
}
},
"timezone": "<string>",
"timestamp": 123
}
],
"parameters": {
"id": "<string>",
"date": "<string>",
"season": "<string>",
"fighter": "<string>",
"category": "<string>",
"timezone": "<string>"
}
}Request contract
- Method and path: POST /apis/v1/api-sports/get-mma-fights
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/api-sports/get-mma-fights - Runtime facts: 79c3a316fdeba0e2a5966a14b3bd8b262de8099a119b3fcdb47de874db1aed3e
{
"operationId": "api-sports.get-mma-fights",
"method": "POST",
"path": "/apis/v1/api-sports/get-mma-fights",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": false,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1,
"description": "The id of the fight."
},
"date": {
"type": "string",
"examples": [
"2023-08-26"
],
"description": "A valid date in YYYY-MM-DD format to filter fights by date."
},
"season": {
"type": "integer",
"maximum": 9999,
"minimum": 1000,
"examples": [
2023
],
"description": "A valid season year in YYYY format to filter fights by season."
},
"fighter": {
"type": "integer",
"minimum": 1,
"description": "The id of the fighter to filter fights by specific fighter. When using fighter, either date or season must also be provided."
},
"category": {
"type": "string",
"examples": [
"Flyweight"
],
"description": "The name of the weight class category (e.g., 'Flyweight', 'Lightweight')."
},
"timezone": {
"type": "string",
"examples": [
"Europe/London"
],
"description": "A valid IANA timezone (e.g., 'Europe/London', 'America/New_York') for date conversion. Defaults to UTC if not specified."
}
}
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.000344,
"estimate_source": "profile_seed",
"evidence_source": "response_body",
"maximum_units": 10000000,
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based billing; Default request estimate: $0.000344 USD (not a fixed price). Declared unit rate: $0.000001 USD per provider_credit. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.000344
- Declared unit rate (USD): 1e-06
- Billing unit: provider_credit
- Cost contract: response_units
- Published reference multiplier: 1.0
- Declared maximum count/units: 10000000
- Settlement evidence source: response_body
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The id of the fight.
Required range:
x >= 1A valid date in YYYY-MM-DD format to filter fights by date.
Example:
"2023-08-26"
A valid season year in YYYY format to filter fights by season.
Required range:
1000 <= x <= 9999Example:
2023
The id of the fighter to filter fights by specific fighter. When using fighter, either date or season must also be provided.
Required range:
x >= 1The name of the weight class category (e.g., 'Flyweight', 'Lightweight').
Example:
"Flyweight"
A valid IANA timezone (e.g., 'Europe/London', 'America/New_York') for date conversion. Defaults to UTC if not specified.
Example:
"Europe/London"